extends Node


func _process(_delta):
	var state_nodes = get_tree().get_nodes_in_group("debug_state")
	for node in state_nodes:
		var label
		if !node.has_node("debug_state_label"):
			label = Label.new()
		else:
			label = node.get_node("debug_state_label")
		label.name = "debug_state_label"
		label.text = node.get_node("StateMachine").state.name
		if !node.has_node("debug_state_label"):
			node.add_child(label)
